❖ MatchMove Banking API Specifications

Sections

Theme switcher

Create user under business

Header Parameters

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

business_idstring Required
Min length
1

Body Parameters

idstring
first_namestring

First name or given name

Max length
50
last_namestring

Last name or family name

Max length
50
middle_namestring

User Middle name

Max length
50
preferred_namestring

Preferred name

Max length
25
emailstring

Registration email for the user

mobile_country_codestring

Supported country codes for the program can be retrieved from GET /users/enumerations/mobile_country_codes

passwordstring

Minimum 8 characters, one special character, one number, one small character

mobilestring

Mobile number of the user

titlestring

Supported title for the program can be retrieved from GET /users/enumerations/titles

id_typestring

Supported id types for the program can be retrieved from GET /users/enumerations/id_types

id_numberstring

Identification document number

id_date_expirystring

ID expiry date (ISO 8601)

id_date_issuestring

ID issue date (ISO 8601)

country_of_issuestring

Country that issued the ID, can be retrieved from GET /users/enumerations/id_issuance_countries

alt_id_typestring

Alternative ID type

alt_id_numberstring

Alternative ID number

alt_id_date_expirystring

Alternative ID expiry date (ISO 8601)

alt_id_date_issuestring

Alternative ID issue date (ISO 8601)

alt_id_country_of_issuestring

Country that issued the Alternative ID, can be retrieved from GET /users/enumerations/id_issuance_countries

birthdaystring

User birthday (ISO 8601)

place_of_birthstring

Place of Birth

nationalitystring

Supported nationality for the program can be retrieved from GET /users/enumerations/nationalities

genderstring

Supported gender for the program can be retrieved from GET /users/enumerations/genders

marital_statusstring

Supported marital status for the program can be retrieved from GET /users/enumerations/marital_status

mothers_maiden_namestring

Mothers maiden name

Max length
50
nature_of_businessstring

Nature of Business

customer_idstring

Customer ID

Max length
50
purpose_of_accountstring

Purpose of Account opening

partner_idstring

Partner ID

Max length
50
client_reference_idstring

Client Reference ID

Max length
50
agent_idstring

Agent ID

Max length
50
employer_namestring

Employer Name

Max length
50
employment_typestring

Supported employment type for the program can be retrieved from GET /users/enumerations/employment_type

source_of_fundsstring

Supported source of funds for the program can be retrieved from GET /users/enumerations/main_income_source

occupationstring

Supported occupation for the program can be retrieved from GET /users/enumerations/job_title

volume_of_assetsstring

Supported volume of assets for the program can be retrieved from GET /users/enumerations/annual_income_range

Response

200
Object

OK

Response Attributes

idstring Required

Unique identifier for the user

readOnly
emailstring Required

Registration email for the user

nameobject Required

User name details

mobileobject Required

Mobile phone details

identificationobject

Identification document details

country_of_issuestring | null

Country that issued the ID

birthdaystring | null

User birthday (ISO 8601)

place_of_birthstring

Place of Birth

genderstring | null

Gender of the user

nationalitystring

Nationality of the user

titlestring

Title (Mr, Miss, Dr, Mrs, Madam)

marital_statusstring

Marital status of the user

mothers_maiden_namestring

Mothers maiden name

customer_idstring | null

Customer ID

statusobject Required

User account status

dateobject Required

Important dates for the user account

partner_idstring | null

Partner ID

risk_assessment_statusstring

Risk assessment status of the user

Enum values:
PENDINGCLEAREDREJECTEDUNKNOWN
client_reference_idstring | null

Client Reference ID

agent_idstring | null

Agent ID

employer_namestring | null

Employer Name

employment_typestring | null

Employment type of the user

source_of_fundsstring | null

Source of funds for the user

occupationstring | null

Occupation of the user

volume_of_assetsstring | null

Volume of assets for the user

account_typestring

Type of account

Enum values:
individualbusiness
400
Object

Bad Request The response code field indicates which specific rule was violated. Possible error codes:

  • invalid_payload — Malformed form/JSON request body
  • invalid_model — Missing required fields in the request
  • validation_error — One or more request fields failed schema/business validation on create
  • invalid_required_request_parameters — Required request parameters are missing on create
  • customer_information_duplicate_error — Duplicate customer information (email/mobile/identification already in use) on create
  • resource_user_id_invalid — The supplied user id is in an invalid format or not found (reactivation)
  • user_already_activated — Cannot activate an already active user (reactivation)
  • resource_user_reactivation_not_allowed — User reactivation is not allowed for the current status (reactivation)

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized The response code field indicates the authentication failure.

Possible error codes:

  • access_denied — Access is denied for this resource

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden The response code field indicates which specific rule was violated. Possible error codes:

  • unauthorized_action — The consumer scope is not allowed to access this resource
  • restricted_resource — This V1 route is blocked for the current program_code
  • user_blocked_risk_threshold_exceeded — The user is risk-flagged/rejected and reactivation is disallowed
  • resource_user_already_terminated — The user is already blocked and the status cannot be updated (reactivation)
  • resource_user_conflict_email_restore — Cannot restore user, an active email already exists (reactivation)
  • resource_user_conflict_mobile_restore — Cannot restore user, an active mobile already exists (reactivation)

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found The response code field indicates the missing resource.

Possible error codes:

  • route_not_defined — Missing auth definition on the given route

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error The response code field indicates the failure category.

Possible error codes:

  • request_fatal_internal — Fatal service error
  • internal_server_error — Unclassified error returned by the upstream KYC service

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

501
Object

Not Implemented

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Service Unavailable

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

POST

/

Select
1

Response

Was this section helpful?